#
# Conditional build:
%bcond_with	tests		# perform "make test"

%define	pdir	DateTime
%define	pnam	Format-Natural
Summary:	DateTime::Format::Natural - Create machine readable date/time with natural parsing logic
Summary(pl.UTF-8):	DateTime::Format::Natural - Tworzy datę/czas dogodny dla maszyn
Name:		perl-DateTime-Format-Natural
Version:	1.13
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SC/SCHUBIGER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5b1e6281df2490d93d76b3cc16a85c0
URL:		http://search.cpan.org/dist/DateTime-Format-Natural/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::MockTime)
BuildRequires:	perl(boolean)
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-DateTime
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-Params-Validate
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Format::Natural takes a string with a human readable
date/time and creates a machine readable one by applying natural
parsing logic.

%description -l pl.UTF-8
DateTime::Format::Natural przyjmuje łańcuch znaków zawierający
datę/czas w formacie dogodnym dla ludzi i tworzy z niego format
dogodny dla maszyn.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	perl=%{__perl} \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/dateparse
%{perl_vendorlib}/DateTime/Format/*.pm
%{perl_vendorlib}/DateTime/Format/Natural
%{_mandir}/man1/dateparse.1p*
%{_mandir}/man3/DateTime::Format::Natural*.3pm*
%changelog
* Mon Sep 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Format-Natural.git;a=log;h=master

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> dfc2606
- Up to 1.13

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 728e18a
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2de2e80
- up to 1.07

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f9c36c5
- up to 1.06

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> c73e81f
- up to 1.05

* Wed Jan 15 2014 Elan Ruusamäe <glen@delfi.ee> 06cbce3
- force unversioned perl interpreter; verbose files

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8875ab1
- up to 1.02

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> d26f85b
- Up to 1.00

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 743fcac
- up to 0.98

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 70b7587
- up to 0.95

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> bb9fff2
- Up to 0.94

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> dd0e981
- Up to 0.93

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> 40c7e26
- Up to 0.92

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 153286d
- Up to 0.91

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> cd94458
- updated to 0.85

* Wed Mar 03 2010 amateja <amateja@pld-linux.org> 880a18e
- updated to 0.84

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> f93a5a3
- updated to 0.83

* Fri Nov 20 2009 amateja <amateja@pld-linux.org> 82b6a74
- updated to 0.80

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> f29f1d3
- updated to 0.79

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> ead42f8
- updated to 0.78

